Package pygccxml :: Package parser :: Module declarations_cache :: Class record_t

# type record_t

source code

    object --+
             |
            record_t

Instance Methods

__init__(self, source_signature, config_signature, included_files, included_files_signature, declarations) | source code

key(self) | source code

Static Methods

create_key(source_file, configuration) | source code

Properties
| was_hit
| source_signature
| config_signature
| included_files
| included_files_signature
| declarations

Method Details

### __init__(self, source_signature, config_signature, included_files, included_files_signature, declarations)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### was_hit

Get Method:
  _get_was_hit(self)
Set Method:
  _set_was_hit(self, was_hit)

### source_signature

Get Method:
  __source_signature(self)

### config_signature

Get Method:
  __config_signature(self)

### included_files

Get Method:
  __included_files(self)

### included_files_signature

Get Method:
  __included_files_signature(self)

### declarations

Get Method:
  __declarations(self)